> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Login

> Verify a user's login challenge and create a session.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /users/verify-login
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /users/verify-login:
    post:
      tags:
        - Users
      summary: Verify Login
      description: Verify a user's login challenge and create a session.
      operationId: users_verify-login
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: string
                  nullable: true
                verification_code:
                  type: string
                  nullable: true
                siwe_message:
                  type: string
                  nullable: true
                signature:
                  type: string
                  nullable: true
                session_challenge_code:
                  type: string
                  nullable: true
                passkey_credential_assertion_response:
                  nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Session'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Session:
      title: Session
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        project_id:
          type: string
        user_id:
          type: string
        access_token:
          type: string
        access_token_expires_at:
          type: string
          format: date-time
        refresh_token:
          type: string
        refresh_token_expires_at:
          type: string
          format: date-time
      required:
        - id
        - created_at
        - project_id
        - user_id
        - access_token
        - access_token_expires_at
        - refresh_token
        - refresh_token_expires_at
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error

````